Subject: Ectomycorrhiza

From: Genenger <[email-masked]>
Date: Fri, 29 Nov 1996 15:03:59 +0100

Hi,
I am a German student looking for some people dealing with ectomycorrhizal
funghi, especially with its anatomy and morphology! My project deals with
different Tricholoma species on Picea or Pinus! Looking forward for your
experiences and hints, greetings
Matthias